%define maj 1
%define min 4
%define rel cvs1

Summary:     MSN transport for the jabber server
Name:        jabber-msn
Version:     %{maj}.%{min}%{rel}
Release:     12.pp
License:     JOSL, GPL
Group:       Environment/Daemons
Source0:     http://msn-transport.jabberstudio.org/old/msn-transport-%{maj}.%{min}-%{rel}.tar.gz
Source1:     jabberd-msn.init
Source2:     msn.xml
URL:         http://msn-transport.jabberstudio.org/
Buildroot:   /var/tmp/%{name}-root
Vendor:      Delx <james@delx.cjb.net>
Packager:    Peter Pramberger <peter.pramberger@member.fsf.org>
Requires:    jabber >= 1.4.4 curl > 7.10.4 pth
Provides:    %{name}.pp
Prereq:      /bin/bash /sbin/chkconfig /bin/chown /bin/chmod /bin/echo /bin/mkdir
BuildPrereq: gcc >= 2.96 /bin/mkdir /usr/bin/make /usr/bin/install
BuildPrereq: jabber >= 1.4.4 openssl097-devel curl-devel > 7.10.4 pth-devel
ExclusiveOS: linux


%description
Jabber is a new, open-source IM platform designed to be
open, fast, and easy to use and extend. It works directly
over the Internet, has distributed servers, utilizes an
XML-based protocol, and has transparent compatibility with
other IM systems (ICQ, AIM, Yahoo, MSN, IRC, SMTP, etc).

This package contains the msn transport.


%prep
%setup -q -n msn-transport


%build
export CPPFLAGS="$RPM_OPT_FLAGS -DINCLUDE_LEGACY"
export LDFLAGS="-L/usr/jabber/lib"
export LDADD="-ljabberd"
./configure \
	--with-jabberd=/usr/jabber/include \
	--with-ignore-ssl=false            \
	--with-pth=/usr/include
make all


# Do not strip, only compress documentation
%define __os_install_post /usr/lib/rpm/brp-compress


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
mkdir -p $RPM_BUILD_ROOT/etc/jabber
mkdir -p $RPM_BUILD_ROOT/usr/jabber/bin
mkdir -p $RPM_BUILD_ROOT/usr/jabber/lib
install -m 0755 src/*.so $RPM_BUILD_ROOT/usr/jabber/lib
ln -s jabberd $RPM_BUILD_ROOT/usr/jabber/bin/jabberd-msn
install -m 0644 %{SOURCE2} $RPM_BUILD_ROOT/etc/jabber/msn.xml.dist
touch $RPM_BUILD_ROOT/etc/jabber/msn.xml; chmod 0640 $RPM_BUILD_ROOT/etc/jabber/msn.xml
install -m 0755 %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/jabberd-msn


%pre
if [ ! -e /etc/jabber ]; then
  /bin/mkdir /etc/jabber
fi
/bin/chmod 0750 /etc/jabber
/bin/chown root:jabber /etc/jabber


%post
/bin/chown root:jabber /etc/jabber/msn.xml
/sbin/chkconfig --add jabberd-msn
/sbin/chkconfig jabberd-msn on
if [ -s /etc/jabber/msn.xml ]; then
  if [ -f /var/lock/subsys/jabberd-msn ]; then
    /etc/rc.d/init.d/jabberd-msn restart
  else
    /etc/rc.d/init.d/jabberd-msn start
  fi
else
  echo "MSN transport installed. Please consult the README for configuration details."
  echo "Don't forget to create a directory named <msn-hostname> in /var/spool/jabber!"
fi


%preun
if [ $1 = 0 ]; then
  /sbin/chkconfig jabberd-msn off
  /sbin/chkconfig --del jabberd-msn
  if [ -f /var/lock/subsys/jabberd-msn ]; then
    /etc/rc.d/init.d/jabberd-msn stop
  fi
fi


%postun
if [ $1 = 0 ]; then
  echo "MSN transport deinstalled. Please remove all references from your jabber config!"
fi


%clean
rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc AUTHORS CHANGES README
/etc/rc.d/init.d/*
%config(noreplace) %attr(0640,root,jabber) /etc/jabber/*.xml
/etc/jabber/*.dist
/usr/jabber/bin/*
/usr/jabber/lib/*


%changelog
* Thu Jul 14 2005 peter.pramberger@member.fsf.org
- new version 1.4cvs1
- updated for jabber 1.4.4
- removed package devel

* Mon Jun 28 2004 peter.pramberger@member.fsf.org
- new version 1.3cvs3
- compiled against openssl097
- some spec file cleanups

* Fri Nov 21 2003 peter.pramberger@member.fsf.org
- compiled against JabberD 1.4.3
- new snapshot 20031121 for bugfixes

* Mon Nov 03 2003 peter.pramberger@member.fsf.org
- new version 1.2.8rc1

* Fri Jun 27 2003 peter.pramberger@member.fsf.org
- compiled for RH73

* Fri Feb 28 2003 peter.pramberger@member.fsf.org
- new version 1.2.1
- minor bugfixes

* Sat May 18 2002 peter.pramberger@member.fsf.org
- created

